#!/bin/sh

echo '<html>'
echo '<head>'
echo '  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">'
echo '  <title>Tips</title>'
echo '  <style type="text/css">'
echo '    body { background-color: LightYellow; }'
echo '    a { text-decoration:none; }'
echo '    a:link { color: brown; }'
echo '    a:visited { color: IndianRed; }'
echo '    a:hover { background: bisque; border-radius: 10px; padding: 1px; }'
echo '  </style>'
echo '</head>'
echo '<body>'
echo '<h1>Tips</h1>'
echo '<ul>'

for file in *.rst *.txt; do
  ext=${file##*.}
  [ "$ext" = "rst" ] && ext=html
  name=${file%.*}
  case "$1" in
    html) echo "  <li><a href=\"$name.$ext\">$name</a>" ;;
    frame) echo "  <li><a href=\"$name.$ext\" target=\"article\">$name</a>" ;;
    *) exit 1 ;;
  esac
done

echo '<p>'
echo '<address>'
echo '    <a href="mailto:gavenkoa@gmail.com">Oleksandr Gavenko</a>'
echo '</address>'
echo '</body>'
echo '</html>'
